searchNodes=[{"doc":"A wrapper module for Erlang's array.","ref":"ExArray.html","title":"ExArray","type":"module"},{"doc":"Gets the value used for uninitialized entries.","ref":"ExArray.html#default/1","title":"ExArray.default/1","type":"function"},{"doc":"Check if two arrays are equal using ===.","ref":"ExArray.html#equal?/2","title":"ExArray.equal?/2","type":"function"},{"doc":"Fixes the size of the array. This prevents it from growing automatically upon insertion.","ref":"ExArray.html#fix/1","title":"ExArray.fix/1","type":"function"},{"doc":"Folds the elements of the array using the given function and initial accumulator value. The elements are visited in order from the lowest index to the highest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#foldl/3","title":"ExArray.foldl/3","type":"function"},{"doc":"Folds the elements of the array right-to-left using the given function and initial accumulator value. The elements are visited in order from the highest index to the lowest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#foldr/3","title":"ExArray.foldr/3","type":"function"},{"doc":"Converts an Erlang's array to an array. All properties (size, elements, default value, fixedness) of the original array are preserved. If erl_arr is not an Erlang's array, the call raises ArgumentError .","ref":"ExArray.html#from_erlang_array/1","title":"ExArray.from_erlang_array/1","type":"function"},{"doc":"Equivalent to from_list(list, nil) .","ref":"ExArray.html#from_list/1","title":"ExArray.from_list/1","type":"function"},{"doc":"Converts a list to an extendible array. default is used as the value for uninitialized entries of the array. If list is not a proper list, the call raises ArgumentError .","ref":"ExArray.html#from_list/2","title":"ExArray.from_list/2","type":"function"},{"doc":"Equivalent to from_orddict(orddict, nil) .","ref":"ExArray.html#from_orddict/1","title":"ExArray.from_orddict/1","type":"function"},{"doc":"Converts an ordered list of pairs {index, value} to a corresponding extendible array. default is used as the value for uninitialized entries of the array. If orddict is not a proper, ordered list of pairs whose first elements are nonnegative integers, the call raises ArgumentError .","ref":"ExArray.html#from_orddict/2","title":"ExArray.from_orddict/2","type":"function"},{"doc":"Gets the value of entry idx . If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError .","ref":"ExArray.html#get/2","title":"ExArray.get/2","type":"function"},{"doc":"Returns true if arr appears to be an array, otherwise false . Note that the check is only shallow; there is no guarantee that arr is a well-formed array representation even if this function returns true .","ref":"ExArray.html#is_array/1","title":"ExArray.is_array/1","type":"function"},{"doc":"Checks if the array has fixed size. Returns true if the array is fixed, otherwise false .","ref":"ExArray.html#is_fix/1","title":"ExArray.is_fix/1","type":"function"},{"doc":"Maps the given function onto each element of the array. The elements are visited in order from the lowest index to the highest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#map/2","title":"ExArray.map/2","type":"function"},{"doc":"Creates a new, extendible array with initial size zero. The default value is the atom nil, not undefined.","ref":"ExArray.html#new/0","title":"ExArray.new/0","type":"function"},{"doc":"Creates a new fixed array according to the given options. By default, the array is extendible and has initial size zero. The default value is the atom nil, if not specified. options is a single term or a list of terms, selected from the following: n : non_neg_integer or {:size, n : non_neg_integer} Specifies the initial size of the array; this also implies {:fixed, true} . If n is not a nonnegative integer, the call raises ArgumentError . :fixed or {:fixed, true} Creates a fixed-size array. {:fixed, false} Creates an extendible (non fixed-size) array. {:default, value} Sets the default value for the array to value .","ref":"ExArray.html#new/1","title":"ExArray.new/1","type":"function"},{"doc":"Makes the array resizable.","ref":"ExArray.html#relax/1","title":"ExArray.relax/1","type":"function"},{"doc":"Resets entry idx to the default value for the array. If the value of entry idx is the default value the array will be returned unchanged. Reset will never change size of the array. Shrinking can be done explicitly by calling resize/2 . If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError .","ref":"ExArray.html#reset/2","title":"ExArray.reset/2","type":"function"},{"doc":"Changes the size of the array to that reported by sparse_size/1 . If the given array has fixed size, the resulting array will also have fixed size.","ref":"ExArray.html#resize/1","title":"ExArray.resize/1","type":"function"},{"doc":"Changes the size of the array. If size is not a nonnegative integer, the call raises ArgumentError . If the given array has fixed size, the resulting array will also have fixed size.","ref":"ExArray.html#resize/2","title":"ExArray.resize/2","type":"function"},{"doc":"Sets entry idx of the array to val . If idx is not a nonnegative integer, or if the array has fixed size and idx is larger than the maximum index, the call raises ArgumentError .","ref":"ExArray.html#set/3","title":"ExArray.set/3","type":"function"},{"doc":"Gets the number of entries in the array. Entries are numbered from 0 to size(array)-1 ; hence, this is also the index of the first entry that is guaranteed to not have been previously set.","ref":"ExArray.html#size/1","title":"ExArray.size/1","type":"function"},{"doc":"Folds the elements of the array using the given function and initial accumulator value, skipping default-valued entries. The elements are visited in order from the lowest index to the highest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#sparse_foldl/3","title":"ExArray.sparse_foldl/3","type":"function"},{"doc":"Folds the elements of the array right-to-left using the given function and initial accumulator value, skipping default-valued entries. The elements are visited in order from the highest index to the lowest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#sparse_foldr/3","title":"ExArray.sparse_foldr/3","type":"function"},{"doc":"Maps the given function onto each element of the array, skipping default-valued entries. The elements are visited in order from the lowest index to the highest. If fun is not a function, the call raises ArgumentError .","ref":"ExArray.html#sparse_map/2","title":"ExArray.sparse_map/2","type":"function"},{"doc":"Gets the number of entries in the array up until the last non-default valued entry. In other words, returns idx+1 if idx is the last non-default valued entry in the array, or zero if no such entry exists.","ref":"ExArray.html#sparse_size/1","title":"ExArray.sparse_size/1","type":"function"},{"doc":"Converts the array to a list, skipping default-valued entries.","ref":"ExArray.html#sparse_to_list/1","title":"ExArray.sparse_to_list/1","type":"function"},{"doc":"Converts the array to an ordered list of pairs {index, value} , skipping default-valued entries.","ref":"ExArray.html#sparse_to_orddict/1","title":"ExArray.sparse_to_orddict/1","type":"function"},{"doc":"Converts the array to its underlying Erlang's array.","ref":"ExArray.html#to_erlang_array/1","title":"ExArray.to_erlang_array/1","type":"function"},{"doc":"Converts the array to a list.","ref":"ExArray.html#to_list/1","title":"ExArray.to_list/1","type":"function"},{"doc":"Converts the array to an ordered list of pairs {index, value} .","ref":"ExArray.html#to_orddict/1","title":"ExArray.to_orddict/1","type":"function"},{"doc":"","ref":"ExArray.html#t:element/0","title":"ExArray.element/0","type":"type"},{"doc":"","ref":"ExArray.html#t:index/0","title":"ExArray.index/0","type":"type"},{"doc":"","ref":"ExArray.html#t:opt/0","title":"ExArray.opt/0","type":"type"},{"doc":"","ref":"ExArray.html#t:opts/0","title":"ExArray.opts/0","type":"type"},{"doc":"","ref":"ExArray.html#t:orddict/0","title":"ExArray.orddict/0","type":"type"},{"doc":"","ref":"ExArray.html#t:t/0","title":"ExArray.t/0","type":"type"},{"doc":"A wrapper module for Erlang's array.","ref":"readme.html","title":"ExArray","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding ex_array to your list of dependencies in mix.exs : def deps do [ { :ex_array , &quot;~&gt; 0.1.0&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/ex_array .","ref":"readme.html#installation","title":"ExArray - Installation","type":"extras"},{"doc":"MIT License Copyright (c) 2023 Geoffrey Roguelon Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]